﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WAF.Presentation.Web;
using WAF.Engine;
using System.Text;
using WAF.Engine.Content;
using WAF.Engine.Content.Native;
using WAF.Engine.Property;
using WAF.Engine.Presentation.Web;
using WAF.Resources;
using WAF.Common;

public partial class WAF_Edit_Main_Desktop : System.Web.UI.Page {
    protected void Page_Load(object sender, EventArgs e) {
        UIControlSkin.IncludeStylesheets<NodeRelationsControl, NodeRelationsControlSkin>(this);
    }
    public string GetMainFrameUrl() {
        WAFRequest wreq = WAFContext.Request;
        WAFSession wsess = WAFContext.Session;
        StringBuilder sb = new StringBuilder();
        sb.Append(WAFContext.UrlFromHostToFolderPhysicalEdit);
        if (Request["module"] != null) {
            sb.Append(HttpUtility.UrlEncode(Utils.GetOnlyEnglishLettersAndNumber(Request["module"])));
        } else {
            if (wsess.NodeExists(wreq.NodeId, true, true)) {
                ContentBase content = WAFRuntime.SystemSession.GetContent(wreq.NodeId, wreq.LCID);
                if (wsess.NodeExists(content.ModuleId, true, true)) {
                    Module module = WAFRuntime.SystemSession.GetContent<Module>(content.ModuleId);
                    sb.Append(module.Folder);
                } else {
                    sb.Append(WAFContext.GetDefaultContentModule());
                }
            } else {
                sb.Append(WAFContext.GetDefaultContentModule());

                if (wreq.NodeId > 0) WAFContext.Session.Notify(Local.Text("Web.WAF.Edit.MainDesktopNodeWithId") + " " + wreq.NodeId + " " + Local.Text("Web.WAF.Edit.MainDesktopNodeCannotBeFound"));
            }
        }
        sb.Append("/default.aspx?");
        if (Request.QueryString.Count > 0) {
            foreach (string key in Request.QueryString.AllKeys) {
                sb.Append("&");
                sb.Append(HttpUtility.UrlEncode(key));
                sb.Append("=");
                sb.Append(HttpUtility.UrlEncode(Request.QueryString[key]));
            }
        }
        return sb.ToString();
    }
}
